<?php 
require_once("../datos/mysqletapa.php");
$e= new mysqletapa();
date_default_timezone_set("America/Santiago");
$indice = $_POST['name'];
if($indice == "NuevaEtapa"){
	$id_proyecto = $_POST['id_proyecto'];
	$etapa = $_POST['etapa'];
  	$fec_registro =date("Y-m-d H:i:s");
	$fec_municipal = date("'Y-m-d H:i:s", strtotime($_POST['fecha_municipal']));
	$resultado = $e->NuevaEtapa($id_proyecto,$etapa,$fec_municipal,$fec_registro);
	echo $resultado;
}else if($indice == "updateFechaMunicipal"){
	$listafechas= $_POST['listafechas'];
	$resultado = $e->updateFechaMunicipal($listafechas);
  	 echo $resultado;

}else if($indice == "updateProyecto"){
	$id_proyecto = $_POST['id_proyecto'];
	$activaProyecto = $_POST['activaProyecto'];

    $variable = 0;
	if($activaProyecto == 1){
	 $variable = 1;
	}

	if((empty($_POST['listadetalles']))){
		$emptyArray = []; 
		$resultado = $e->Updateproyecto($id_proyecto,$variable,$emptyArray);
		echo $resultado;
	}else{
		$listaCorreo = $_POST['listadetalles'];
		$resultado = $e->Updateproyecto($id_proyecto,$variable,$listaCorreo);
		echo $resultado;
	}
}else if($indice == "updateConfigCorreos"){

	if((empty($_POST['listadetalles']))){
		$emptyArray = []; 
		$resultado = $e->updateConfigCorreos($emptyArray);
		echo $resultado;
	}else{

		$resultado = $e->updateConfigCorreos($_POST['listadetalles']);
		echo $resultado;
	}

}
?>
